library(SensoMineR)
library(Rcmdr)

#! influence
res1 <- influence.ideal(orange,col.p=2,col.j=1,id.recogn="id_")

#! sensory consistency
res2 <- senso.consist(orange,col.p=2,col.j=1,id.recogn="id_",col.lik=ncol(orange))
dev.new()
plot(density(res2$conso$correlations[,1]))

#! hedonique consistency
res3 <- hedo.consist(orange,col.p=2,col.j=1,id.recogn="id_",col.lik=ncol(orange),ncp=2,nbsim=100)

#! single vs. multiple ideal
res4 <- multi.ideal(orange,col.p=2,col.j=1,id.recogn="id_")

#! ideal mapping
res5 <- IdMap(orange,col.p=2,col.j=1,col.lik=ncol(orange),id.recogn="id_")
plot.IdMap(res5,x1=-4,x2=5,y1=-10,y2=13,color=T)
res5$ideal$profiles